summaryrefslogtreecommitdiffstats
path: root/development/polyml
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2013-11-22 02:34:22 -0500
committer dsomero <xgizzmo@slackbuilds.org>2013-11-22 02:34:22 -0500
commit687c78d5604ce299d5164ffd69de88f2dd10fefc (patch)
tree2c3b4dd9491198917e0178dd5a0cf0fa3e6715c8 /development/polyml
parent610e8461bb9b201adbd4bd9257a9bf48be71f62b (diff)
downloadslackbuilds-687c78d5604ce299d5164ffd69de88f2dd10fefc.tar.gz
slackbuilds-687c78d5604ce299d5164ffd69de88f2dd10fefc.tar.xz
various: Fix SlackBuild formatting and comment nit picks.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development/polyml')
-rw-r--r--development/polyml/polyml.SlackBuild8
1 files changed, 3 insertions, 5 deletions
diff --git a/development/polyml/polyml.SlackBuild b/development/polyml/polyml.SlackBuild
index 4ef18ccd52..2c9aa7844f 100644
--- a/development/polyml/polyml.SlackBuild
+++ b/development/polyml/polyml.SlackBuild
@@ -8,12 +8,10 @@ VERSION=${VERSION:-5.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -37,7 +35,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -65,7 +63,7 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-# Strip binaries and libraries
+# Strip binaries and libraries
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -82,7 +80,7 @@ cp -a \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Copy the slack-desc
+# Copy the slack-desc
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc